Subject: [bug#36064] [PATCH] sawfish.scm - update sawfish to 1.12

From: Benjamin Slade <[email-masked]>
Date: Mon, 10 Jun 2019 00:36:09 -0600

On 2019-06-04T07:00:35-0600, Arun Isaac <[email-masked]> wrote:
 > Thanks for contributing to Guix!

Hi Arun,

Thanks for the feedback.

 > Please split this into three separate patches -- one each for librep,
 > rep-gtk and sawfish. For the commit messages, please use the
 > conventional Guix update commit message. If you use Emacs, this can
 > be done easily using the update yasnippet in etc/snippets of the Guix
 > source tree.

I'll do so.

 > > -    (home-page "http://sawfish.wikia.com/wiki/Librep")
 > > +    (home-page "https://sawfish.wikia.com/wiki/Librep")

 > Shouldn't https://sawfish.tuxfamily.org/ be the home-page for all
 > three packages? Why are we listing the wiki as the home-page?

I just followed the previous version, updating to 'https'. But
https://sawfish.tuxfamily.org/ doesn't actually have information
directly about Librep, while the wiki page the previous commit linked to
does provide information about the package.

 > >  (define-public rep-gtk
 > >    (package
 > >      (name "rep-gtk")
 > > -    (version "0.90.8.2")
 > > +    (version "0.90.8.2") ; next point release hasn't been distributed; requires autoconf etc.

 > We don't usually package beta releases. So, there is no need to
 > mention this as a comment. But, the current release is
 > 0.90.8.3. Please update to that.

0.90.8.3 isn't packaged for distribution though, so it may be
beta-ish. In any case, I don't know how to get it to build, given that
it's not packaged for distribution at this point.

 > >  (define-public sawfish
 > >    (package
 > >      (name "sawfish")
 > > -    (version "1.11")
 > > +    (version "1.12.0") ; point release 1.12.90 hasn't been distributed; requires autoconf etc.

 > We don't usually package beta releases. So, there is no need to
 > mention this as a comment.

 > > -    (home-page "http://sawfish.wikia.com/wiki/Main_Page")
 > > +    (home-page "https://sawfish.wikia.com/wiki/Main_Page")

 > See above for comment on home-page.

Effectively, then, I'm just updating `sawfish` itself, given the lack of
a need for the comments I had made about versions, so I'll resubmit a
patch just updating the sawfish package.

--
Dr Benjamin Slade - https://babbagefiles.xyz
  `(pgp_fp: ,(21BA 2AE1 28F6 DF36 110A 0E9C A320 BBE8 2B52 EE19))
    '(sent by mu4e on Emacs running under GNU/Linux . https://gnu.org )